## org.jfree.data.xy
Class XIntervalDataItem

    java.lang.Object
      org.jfree.data.ComparableObjectItem
          org.jfree.data.xy.XIntervalDataItem

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

    public class XIntervalDataItem

extends ComparableObjectItem

An item representing data in the form (x, x-low, x-high, y).

Since:
  1.0.3
See Also:
  Serialized Form

Constructor Summary
`XIntervalDataItem(double x, double xLow, double xHigh, double y)` Creates a new instance of `XIntervalDataItem`.

Method Summary
`java.lang.Number` `getX()` Returns the x-value.
`double` `getXHighValue()` Returns the upper bound of the x-interval.
`double` `getXLowValue()` Returns the lower bound of the x-interval.
`double` `getYValue()` Returns the y-value.

Methods inherited from class org.jfree.data.ComparableObjectItem
`clone, compareTo, equals, getComparable, getObject, hashCode, setObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XIntervalDataItem

    public XIntervalDataItem(double x,
                             double xLow,
                             double xHigh,
                             double y)

  Creates a new instance of `XIntervalDataItem`.

  Parameters:
    `x` - the x-value.
    `xLow` - the lower bound of the x-interval.
    `xHigh` - the upper bound of the x-interval.
    `y` - the y-value.

Method Detail

### getX

    public java.lang.Number getX()

  Returns the x-value.

  Returns:
    The x-value (never `null`).

### getYValue

    public double getYValue()

  Returns the y-value.

  Returns:
    The y-value.

### getXLowValue

    public double getXLowValue()

  Returns the lower bound of the x-interval.

  Returns:
    The lower bound of the x-interval.

### getXHighValue

    public double getXHighValue()

  Returns the upper bound of the x-interval.

  Returns:
    The upper bound of the x-interval.